gnutls_x509_trust_list_add_cas(3)

NAME
gnutls_x509_trust_list_add_cas - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_add_cas(gnutls_x509_trust_list_t list, const gnutls_x509_crt_t * clist, int clist_size, unsigned int flags);

ARGUMENTS

gnutls_x509_trust_list_t list
    The structure of the list

const gnutls_x509_crt_t * clist
    A list of CAs

int clist_size
    The length of the CA list

unsigned int flags
    should be 0.

DESCRIPTION
This function will add the given certificate authorities to the trusted list. The list of CAs must not be deinitialized during this structure's lifetime.

RETURNS
The number of added elements is returned.

SINCE
3.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/